import LdBadge from './components/badge';
import LdIcon from './components/icon';
import LdLookup from './components/lookup';

const VueLightning = {
  LdBadge,
  LdIcon,
  LdLookup
};

VueLightning.install = function(Vue) {
  Object.keys(VueLightning).forEach((name) => {
    const component = VueLightning[name];
    if (name !== 'install' && component) {
      Vue.use(component);
    }
  });
};

export default VueLightning;
